/* VARIABLES */
:root {
  --crimson: #da0037;
  --onyx: #444444;
  --eerie-black: #171717;
  --cultured: #ededed;
  --cultured-light: rgba(237, 237, 237, 0.5);
  --cultured-dark: rgba(237, 237, 237, 0.1);
  --inter: 'Inter', sans-serif;
  --dm-sans: 'DM Sans', sans-serif;
  --regular: 400;
  --medium: 500;
  --bold: 700;
  --black: 900;
}

/* GLOBAL */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
html {
  font-family: var(--dm-sans);
  font-size: 62.5%; /* 1rem = 10px */
  scroll-behavior: smooth;
}
body {
  margin: 0;
  padding: 0;
  font-size: 1.6rem; /* 1.6rem = 16px */
  background-color: var(--eerie-black);
}
h1,
h2,
h3 {
  font-family: var(--inter);
  font-weight: var(--bold);
}
a {
  text-decoration: none;
  color: var(--cultured);
}
input:focus {
  outline: none;
}
textarea:focus {
  outline: none;
}
button {
  border: none;
  font-family: var(--dm-sans);
  font-weight: var(--bold);
}
button:hover {
  cursor:pointer;
}
.button {
  display: inline-block;
  min-width: 144px;
  margin: 6px;
  padding: 8px 12px;
  border-radius: 4px;
  text-align: center;
  font-weight: var(--bold);
}
.button--red {
  background-color: var(--crimson);
  color: var(--cultured);
}
.button--white {
  background-color: var(--cultured);
  color: var(--eerie-black);
}

/* HEADER */
.header {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 52px;
}
.header__title {
  text-transform: uppercase;
  text-decoration: underline;
  letter-spacing: 3px;
  font-family: var(--inter);
  font-size: 1.8rem;
  font-weight: var(--medium);
  color: var(--cultured);
}

/* MAIN */
main {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding: 0 20px;
}
/* HERO */
.hero {
  display: flex;
  flex-direction: column;
  flex-flow: column-reverse;
  align-items: center;
}
/* HERO PROFILE */
.hero__profile {
  width: 182px;
  height: 182px;
  margin: 32px 0;
}
.hero__profile--img {
  width: 182px;
  height: 182px;
  object-fit: cover;
  border-radius: 50%;
  border: 4px solid var(--crimson);
}
/* HERO CONTENT */
.hero__title {
  text-transform: uppercase;
  text-align: center;
  font-weight: var(--black);
  color: var(--cultured);
}
.hero__text {
  color: var(--cultured);
  margin: 16px 0;
}
.hero__buttons {
  display: flex;
  justify-content: center;
  flex-flow: wrap;
}

/* EXPERIENCE */
.experience {
  width: 100%;
  margin: 32px 0;
  color: var(--cultured);
}
.experience__title {
  display: inline-block;
  margin-bottom: 16px;
  border-bottom: 3px solid var(--cultured);
}
.experience__item {
  margin: 24px 0;
}
.experience__item:first-child {
  margin-top: 0;
}
.experience__item:last-child {
  margin-bottom: 0;
}
.experience__item--title {
  margin-bottom: 4px;
}

/* CONTACT */
.form {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: center;
  margin-bottom: 32px;
}
.form__title {
  width: 100%;
  max-width: 344px;
  text-align: start;
  color: var(--cultured);
}
.form__input--subject {
  width: 100%;
  max-width: 344px;
  height: 40px;
  margin: 16px 0;
  padding: 0 16px;
  border: 2px solid var(--cultured);
  border-radius: 4px;
  background-color: var(--cultured-dark);
  font-family: var(--dm-sans);
  font-size: 1.6rem;
  color: var(--cultured);
}
.form__input--message {
  width: 100%;
  max-width: 344px;
  min-width: fit-content;
  height: 100px;
  max-height: 200px;
  min-height: 40px;
  margin-bottom: 16px;
  padding: 8px 16px 0;
  border: 2px solid var(--cultured);
  border-radius: 4px;
  background-color: var(--cultured-dark);
  font-family: var(--dm-sans);
  font-size: 1.6rem;
  color: var(--cultured);
}
.form .button--red {
  display: block;
  width: 136px;
  font-size: 1.6rem;
}

/* FOOTER */
.footer {
  display: flex;
  height: 52px;
  padding: 0 20px;
  justify-content: space-between;
  align-items: center;
  background-color: var(--onyx);
  border-top: 4px solid var(--crimson);
  color: var(--cultured);
}
.footer__socials {
  display: flex;
  align-items: center;
}
.footer__social-container {
  width: 20px;
  height: 20px;
}
.footer__social-container:nth-child(2) {
  margin: 0 12px;
}
.footer__social-container--img {
  width: 20px;
  height: 20px;
}
